curl -X PATCH 'https://api.example.com/scopes/scope_123' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Platform Engineering Team"
}'
const axios = require('axios');
const { data } = await axios.patch('https://api.example.com/scopes/scope_123', {
name: 'Platform Engineering Team',
}, {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
{
"id": "scope_123",
"name": "Platform Engineering Team",
"typeId": "type_team",
"externalId": "team-eng"
}
Scopes
Update Scope
Update an existing scope
PATCH
/
scopes
/
{id}
curl -X PATCH 'https://api.example.com/scopes/scope_123' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Platform Engineering Team"
}'
const axios = require('axios');
const { data } = await axios.patch('https://api.example.com/scopes/scope_123', {
name: 'Platform Engineering Team',
}, {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
{
"id": "scope_123",
"name": "Platform Engineering Team",
"typeId": "type_team",
"externalId": "team-eng"
}
Path Parameters
string
required
The unique identifier of the scope to update
Request Body
string
Updated display name for the scope
string
Updated external identifier
Response
Returns the updated scope object.curl -X PATCH 'https://api.example.com/scopes/scope_123' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"name": "Platform Engineering Team"
}'
const axios = require('axios');
const { data } = await axios.patch('https://api.example.com/scopes/scope_123', {
name: 'Platform Engineering Team',
}, {
headers: { 'Authorization': 'Bearer YOUR_TOKEN' },
});
{
"id": "scope_123",
"name": "Platform Engineering Team",
"typeId": "type_team",
"externalId": "team-eng"
}
Was this page helpful?
⌘I